# (c) cavaliba.com - unittest iam view

from django.test import TestCase, override_settings

from app_home.configuration import get_configuration
import app_home.cache as cache


class Settings(TestCase):

    def setUp(self):
        cache.clear()

    # @override_settings(CAVALIBA_DEBUG_AAA="yes")
    @override_settings(CAVALIBA_AUTH_MODE="unittest")
    def test_override_settings(self):
        r = get_configuration("env", "CAVALIBA_AUTH_MODE")
        self.assertEqual(r, 'unittest')
